Categories:
  - System
License: GPL-3.0-only
AuthorName: Sanmer
AuthorEmail: sanmer@sanmer.dev
AuthorWebSite: https://sanmer.dev
SourceCode: https://github.com/MRepoApp/MRepo
IssueTracker: https://github.com/MRepoApp/MRepo/issues
Translation: https://weblate.sanmer.app/engage/mrepo
Changelog: https://github.com/MRepoApp/MRepo/releases

AutoName: MRepo

RequiresRoot: true

RepoType: git
Repo: https://github.com/MRepoApp/MRepo

Builds:
  - versionName: 2.4.3
    versionCode: 677
    commit: v2.4.3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

  - versionName: 2.4.4
    versionCode: 713
    commit: v2.4.4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

  - versionName: 2.4.5
    versionCode: 731
    commit: v2.4.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

  - versionName: 2.4.6
    versionCode: 760
    commit: v2.4.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

  - versionName: 2.4.7
    versionCode: 776
    commit: v2.4.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

  - versionName: 2.4.8
    versionCode: 794
    commit: v2.4.8
    subdir: app
    sudo:
      - echo "deb https://deb.debian.org/debian trixie main" > /etc/apt/sources.list.d/trixie.list
      - apt-get update
      - apt-get install -y -t trixie openjdk-21-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i 's/ versionName = .*/versionName = "$$VERSION$$"/' build.gradle.kts
    scandelete:
      - build-logic

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://github.com/MRepoApp/MRepo/releases/latest/download/version_code.txt|versionCode=(\d+)|.|versionName=([\d.]+)\.
CurrentVersion: 2.4.8
CurrentVersionCode: 794
